$(function() {
	var $form = $('#stripe-payment-form');
	$form.on('submit', function(event) {
		// Disable the submit button to prevent repeated clicks:
		$(':submit', $form).prop('disabled', true);
		// Remove old Stripe error message.
		$('.js-stripe-payment-errors div').remove();

		// Request a token from Stripe:
		Stripe.card.createToken($form, stripeResponseHandler);

		// Prevent the form from being submitted:
		return false;
	});

});
function stripeResponseHandler(status, response) {
	var $form = $('#stripe-payment-form');

	if (response.error) {
		$(':submit', $form).prop('disabled', false);
		$('.js-stripe-payment-errors').html('<div>' + response.error.message + '</div>');

	} else {
		// Get the token ID:
		var token = response.id;

		// Insert the token ID into the form so it gets submitted to the server:
		$form.append($('<input type="hidden" name="stripeToken">').val(token));

		// Submit the form:
		$form.get(0).submit();
	}
}
